package com.kingdee.eas.custom.dormitorysystem.occupants;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class OccupantsCollection extends AbstractObjectCollection 
{
    public OccupantsCollection()
    {
        super(OccupantsInfo.class);
    }
    public boolean add(OccupantsInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(OccupantsCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(OccupantsInfo item)
    {
        return removeObject(item);
    }
    public OccupantsInfo get(int index)
    {
        return(OccupantsInfo)getObject(index);
    }
    public OccupantsInfo get(Object key)
    {
        return(OccupantsInfo)getObject(key);
    }
    public void set(int index, OccupantsInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(OccupantsInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(OccupantsInfo item)
    {
        return super.indexOf(item);
    }
}